Subject: [rohc] UDVM byte copy registers

From: "Achuth Kamath" <[email-masked]>
Date: Mon, 21 Mar 2005 15:30:05 +0530

Hi,
 
I am reading 8.4 of RFC 3320 over and over again; still I don't get any
idea about the UDVM registers.
I got some questions; it would be great if u would help me out with
these:
 
1. Who initializes the byte_copy registers at the start of any
operation?
2. What is meant by "respecting the bounds set by byte_copy_left and
byte_copy_right"?
3. Also in the following code:
               Set k := m + 1 (modulo 2^16)
   If k = byte_copy_right then set n := byte_copy_left, else set n := k
    When can k be equal to byte_copy_right?
 
Thanks & Best Regards,
Achuth
 
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc